%define oname		libQtShadowsocks

%define major		2
%define libname		%mklibname qtshadowsocks %major
%define develname	%mklibname qtshadowsocks -d

Name:		libqtshadowsocks
Version:	2.1.0
Release:	%mkrel 12
Summary:	A Shadowsocks library written in C++/Qt5
License:	LGPLv3+
Group:		Networking/Other
Url:		https://github.com/librehat/libQtShadowsocks
Source:		https://github.com/shadowsocks/libQtShadowsocks/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch0:		libqtshadowsocks-2.1.0-botan-2.11.patch
BuildRequires:	cmake
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	pkgconfig(botan-2)

%description
A lightweight and ultra-fast shadowsocks client and/or server written in C++
with Qt 5.

%package -n shadowsocks-libqss
Summary:	A Shadowsocks client and/or server written in C++/Qt5
Group:		Networking/Other
Conflicts:	%{libname} < 1.6.1-4

%description -n shadowsocks-libqss
A lightweight and ultra-fast shadowsocks client and/or server written in C++
with Qt 5.

%package -n %{libname}
Summary:	A Shadowsocks library written in C++/Qt5
Group:		System/Libraries

%description -n %{libname}
libQtShadowsocks is a lightweight library for shadowsocks.

It is written in C++ using Qt5 frameworks. Therefore, the
major purpose of this project is to provide a
developer-friendly shadowsocks library, mainly for Qt
applications, i.e. shadowsocks-qt5.

The client utilises this library. You can check the code
to see how to use libQtShadowsocks in your project.
client can also be used as both Shadowsocks local client
and Shadowsocks server.

%package -n %{develname}
Summary:	Development headers for libQtShadowsocks
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package provides development headers for libQtShadowsocks.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n shadowsocks-libqss
%{_bindir}/shadowsocks-libqss

%files -n %{libname}
%doc LICENSE README.md
%{_qt5_libdir}/libQtShadowsocks.so.%{major}
%{_qt5_libdir}/libQtShadowsocks.so.%{version}

%files -n %{develname}
%{_includedir}/QtShadowsocks/
%{_qt5_libdir}/libQtShadowsocks.so
%{_qt5_libdir}/pkgconfig/QtShadowsocks.pc


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.1.0-12.mga8
+ Revision: 1658952
- Rebuild for new Qt5

* Sun Nov 08 2020 kekepower <kekepower> 2.1.0-11.mga8
+ Revision: 1643689
- Rebuild for Botan2, major 17

* Thu Oct 22 2020 daviddavid <daviddavid> 2.1.0-10.mga8
+ Revision: 1638600
- rebuild for new botan2 2.16.0

* Fri Jul 17 2020 daviddavid <daviddavid> 2.1.0-9.mga8
+ Revision: 1606725
- rebuild for new botan2 2.15.0

* Wed Feb 19 2020 umeabot <umeabot> 2.1.0-8.mga8
+ Revision: 1543002
- Mageia 8 Mass Rebuild

* Wed Jan 08 2020 daviddavid <daviddavid> 2.1.0-7.mga8
+ Revision: 1477282
- rebuild for new botan2 2.13.0
- use new cmake macros

* Thu Dec 05 2019 daviddavid <daviddavid> 2.1.0-6.mga8
+ Revision: 1464657
- rebuild for new botan 2.12.1

* Mon Jul 15 2019 daviddavid <daviddavid> 2.1.0-5.mga8
+ Revision: 1421737
- rebuild for new botan2 2.11.0

* Mon Jul 01 2019 daviddavid <daviddavid> 2.1.0-4.mga8
+ Revision: 1416904
- rebuild for new botan2 2.10.0

* Sun Mar 31 2019 umeabot <umeabot> 2.1.0-3.mga7
+ Revision: 1383195
- Qt5 Rebuild

* Mon Feb 18 2019 daviddavid <daviddavid> 2.1.0-2.mga7
+ Revision: 1368134
- switch to botan2

* Sat Sep 15 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1259118
- new version 2.1.0

* Sun Jan 21 2018 wally <wally> 2.0.1-1.mga7
+ Revision: 1195618
- new version 2.0.1

* Fri Feb 12 2016 luigiwalser <luigiwalser> 1.8.2-2.mga6
+ Revision: 956064
- rebuild for botan

* Sat Dec 26 2015 ovitters <ovitters> 1.8.2-1.mga6
+ Revision: 914894
- new version 1.8.2

* Wed Nov 04 2015 ovitters <ovitters> 1.7.0-1.mga6
+ Revision: 897874
- new version 1.7.0

* Tue Sep 01 2015 ovitters <ovitters> 1.6.1-4.mga6
+ Revision: 872077
- client/server should be in its own package

* Tue Sep 01 2015 ovitters <ovitters> 1.6.1-3.mga6
+ Revision: 871702
- follow package naming guidelines
- follow packaging guidelines

* Wed Aug 26 2015 ovitters <ovitters> 1.6.1-2.mga6
+ Revision: 870051
- fix requires

* Wed Aug 26 2015 ovitters <ovitters> 1.6.1-1.mga6
+ Revision: 870040
- fix group
- cleanup spec
- imported package libQtShadowsocks

